<?php

namespace CRPlugins\Oca\Api;

use WC_OCA;

class OcaApi extends JsonApi implements RestApiInterface {

	const PROD_BASE_URL = 'https://ocaapi.crplugins.com.ar/api/v1';

	private $apikey;

	public function __construct( string $apikey ) {
		$this->apikey = $apikey;
	}

	public function before_request( string $url, string $method, array $body, array $headers ): array {
		$headers['X-Agent']       = sprintf( 'oca-woocommerce-plugin/%s', WC_OCA::PLUGIN_VER );
		$headers['Origin']        = get_site_url();
		$headers['Authorization'] = $this->apikey;
		$request                  = parent::before_request( $method, $url, $body, $headers );
		return $request;
	}

	public function get_base_url() {
		return self::PROD_BASE_URL;
	}
}
