<?php

namespace CRPlugins\Oca\Settings\Fields;

final class AjaxButtonField extends Field {

	protected $data = array(
		'name'        => '',
		'slug'        => '',
		'type'        => 'ajaxbutton',
		'description' => '',
		'default'     => '',
		'placeholder' => '',
	);

	public function render() {
		printf(
			'<a id="%1$s" class="oca-button" placeholder="%2$s" style="margin-bottom:5px;display:inline-block;">%3$s</a>',
			esc_attr( $this->get_slug() ),
			esc_attr( $this->get_placeholder() ),
			esc_attr( $this->get_default() )
		);
		$desc = $this->get_description();
		if ( ! empty( $desc ) ) {
			printf( '<span class="field-description">%s<span>', esc_html( $desc ) );
		}
	}
}
