<?php

namespace CRPlugins\Oca\Settings\Fields;

final class NumberField extends Field {

	protected $data = array(
		'name'        => '',
		'slug'        => '',
		'type'        => 'number',
		'description' => '',
		'default'     => '',
		'unit'        => '',
		'step'        => 1,
	);

	public function __construct( array $args ) {
		$this->data = wp_parse_args( $args, $this->data );
	}

	public function render() {
		$previous_config = $this->get_value();
		printf(
			'<input type="number" id="%1$s" name="%1$s" value="%2$s" step="%3$s" />',
			esc_attr( $this->get_slug() ),
			esc_attr( $previous_config ),
			esc_attr( $this->data['step'] )
		);

		if ( ! empty( $this->data['unit'] ) ) {
			printf( '<span class="field-unit">%s<span>', esc_attr( $this->data['unit'] ) );
		}
		$desc = $this->get_description();
		if ( ! empty( $desc ) ) {
			printf( '<span class="field-description">%s<span>', $desc );
		}
	}
}
