<?php

namespace CRPlugins\Oca\Settings\Fields;

final class OcaShippingCodesField extends Field {

	protected $data = array(
		'name'        => '',
		'slug'        => '',
		'type'        => 'shippingCodes',
		'description' => '',
		'default'     => '',
		'placeholder' => '',
	);

	public function render() {
		?>
		<table id="ocaCodesTable" class="oca-table">
			<tr>
				<th> <?php echo __( 'Shipment Code', 'wc-oca' ); ?> </th>
				<th> <?php echo __( 'Shipment Code Name', 'wc-oca' ); ?> </th>
				<th> <?php echo __( 'Type', 'wc-oca' ); ?> </th>
				<th class="tooltip__container"> <?php echo __( 'Price (optional)', 'wc-oca' ); ?><span class="dashicons dashicons-arrow-up"></span><span class="tooltiptext"><?php echo __( 'You can overwrite the price given by OCA, leave blank to disable', 'wc-oca' ); ?> </span></th>
				<th> <?php echo __( 'Delete', 'wc-oca' ); ?> </th>
			</tr>
			<tr style="display:none">
				<td><input type="text" name="shippingCodes[1][id]" /></td>
				<td><input type="text" name="shippingCodes[1][name]" /></td>
				<td><select name="shippingCodes[1][type]">
						<option value="PaP"> <?php echo __( 'Door to Door', 'wc-oca' ); ?> </option>
						<option value="PaS"> <?php echo __( 'Door to Branch', 'wc-oca' ); ?> </option>
						<option value="SaP"> <?php echo __( 'Branch to Door', 'wc-oca' ); ?> </option>
						<option value="SaS"> <?php echo __( 'Branch to Branch', 'wc-oca' ); ?> </option>
					</select></td>
				<td><input type="number" name="shippingCodes[1][price]" step="0.01"/></td>
				<td><input type="button" class="oca-button" value="<?php echo __( 'Remove', 'wc-oca' ); ?>" onclick="this.dispatchEvent(new CustomEvent('deleteRow', {'detail': this.parentNode.parentNode.rowIndex,'bubbles': true }))" /></td>
			</tr>
		</table>
		<input type="button" class="oca-button" value="<?php echo __( 'Add shipping code', 'wc-oca' ); ?>" onclick="this.dispatchEvent(new CustomEvent('addRow', {'bubbles': true }))" />
		<?php
	}
}
