<?php

namespace CRPlugins\Oca\Settings\Fields;

final class SelectField extends Field {

	protected $data = array(
		'name'        => '',
		'slug'        => '',
		'type'        => 'select',
		'description' => '',
		'default'     => '',
		'options'     => '',
	);

	public function __construct( array $args ) {
		$this->data = wp_parse_args( $args, $this->data );
	}

	public function get_options() {
		return $this->data['options'];
	}

	public function render() {
		$previous_config = $this->get_value();
		printf(
			'<select id="%1$s" name="%1$s" value="%2$s">',
			esc_attr( $this->get_slug() ),
			esc_attr( $previous_config )
		);
		$options = $this->get_options();
		foreach ( $options as $value => $text ) {
			printf(
				'<option value="%s" %s>%s</option>',
				esc_attr( $value ),
				( (string) $value === (string) $previous_config ? 'selected' : '' ),
				esc_attr( $text )
			);
		}
		print( '</select>' );
		$desc = $this->get_description();
		if ( ! empty( $desc ) ) {
			printf( '<span class="field-description">%s<span>', esc_html( $desc ) );
		}
	}
}
