<?php

namespace CRPlugins\Oca\Settings\Sections;

/**
 * OcaSection class
 */
class OcaSection extends Section implements SectionInterface {

	private $data = array(
		'slug' => 'wc-oca-oca-settings',
	);

	/**
	 * Default constructor
	 */
	public function __construct() {
		$this->data['name'] = __( 'OCA settings', 'wc-oca' );
		parent::__construct( $this->data );
	}

	/**
	 * Gets all our fields in this section
	 *
	 * @return array
	 */
	public static function get_fields(): array {
		return array(
			'username'      => array(
				'name' => __( 'Username', 'wc-oca' ),
				'slug' => 'username',
				'type' => 'text',
			),
			'password'      => array(
				'name' => __( 'Password', 'wc-oca' ),
				'slug' => 'password',
				'type' => 'password',
			),
			'accountNumber' => array(
				'name'        => __( 'Account Number', 'wc-oca' ),
				'slug'        => 'accountNumber',
				'type'        => 'text',
				'placeholder' => '000000/000',
				'description' => __( 'Format 000000/000', 'wc-oca' ),
				'regexmask'   => '/^\d{6}\/\d{3}$/',
			),
			'cuit'          => array(
				'name'        => __( 'CUIT', 'wc-oca' ),
				'slug'        => 'cuit',
				'type'        => 'text',
				'placeholder' => '00-00000000-0',
				'description' => __( 'Format 00-00000000-0', 'wc-oca' ),
				'regexmask'   => '/^\d{2}-\d{8}-\d{1}$/',
			),
			'shippingCodes' => array(
				'name' => __( 'Shipping Codes', 'wc-oca' ),
				'slug' => 'shippingCodes',
				'type' => 'ocashippingcodes',
			),
		);
	}
}
