<?php

namespace CRPlugins\Oca\ValueObjects;

class SellerAddress {
	/**
	 * @var string
	 */
	private $street;
	/**
	 * @var string
	 */
	private $number;
	/**
	 * @var string
	 */
	private $floor;
	/**
	 * @var string
	 */
	private $apartment;
	/**
	 * @var string
	 */
	private $postcode;
	/**
	 * @var string
	 */
	private $city;
	/**
	 * @var string
	 */
	private $state;
	/**
	 * @var string
	 */
	private $name;
	/**
	 * @var string
	 */
	private $email;
	/**
	 * @var string
	 */
	private $store_name;
	/**
	 * @var string
	 */
	private $observations;
	/**
	 * @var string
	 */
	private $cost_branch;
	/**
	 * @var string
	 */
	private $time_frame;
	/**
	 * @var string
	 */
	private $shipping_branch;

	public function __construct(
		string $street,
		string $number,
		string $floor,
		string $apartment,
		string $postcode,
		string $city,
		string $state,
		string $name,
		string $email,
		string $store_name,
		string $observations,
		string $time_frame,
		string $shipping_branch
	) {
		$this->street          = $street;
		$this->number          = $number;
		$this->floor           = $floor;
		$this->apartment       = $apartment;
		$this->postcode        = $postcode;
		$this->city            = $city;
		$this->state           = $state;
		$this->name            = $name;
		$this->email           = $email;
		$this->store_name      = $store_name;
		$this->observations    = $observations;
		$this->cost_branch     = '1'; // Default
		$this->time_frame      = $time_frame;
		$this->shipping_branch = $shipping_branch;
	}

	public function get_street(): string {
		return $this->street;
	}

	public function get_number(): string {
		return $this->number;
	}

	public function get_floor(): string {
		return $this->floor;
	}

	public function get_apartment(): string {
		return $this->apartment;
	}

	public function get_postcode(): string {
		return $this->postcode;
	}

	public function get_city(): string {
		return $this->city;
	}

	public function get_state(): string {
		return $this->state;
	}

	public function get_name(): string {
		return $this->name;
	}

	public function get_email(): string {
		return $this->email;
	}

	public function get_store_name(): string {
		return $this->store_name;
	}

	public function get_observations(): string {
		return $this->observations;
	}

	public function get_cost_branch(): string {
		return $this->cost_branch;
	}

	public function get_time_frame(): string {
		return $this->time_frame;
	}

	public function get_shipping_branch(): string {
		return $this->shipping_branch;
	}

	public function set_shipping_branch( string $shipping_branch ) {
		$this->shipping_branch = $shipping_branch;
	}
}
