<?php

namespace CRPlugins\Oca\ValueObjects;

class ShippingCode {

	/**
	 * @var string
	 */
	private $code;
	/**
	 * @var string
	 */
	private $name;
	/**
	 * @var string
	 */
	private $type;
	/**
	 * @var float
	 */
	private $price;

	public function __construct(
		string $code,
		string $name,
		string $type,
		float $price
	) {
		$this->code  = $code;
		$this->name  = $name;
		$this->type  = $type;
		$this->price = $price;
	}

	public function get_code(): string {
		return $this->code;
	}

	public function get_name(): string {
		return $this->name;
	}

	public function get_type(): string {
		return $this->type;
	}

	public function get_price(): float {
		return $this->price;
	}

	public function has_price(): bool {
		return 0.0 !== $this->price;
	}

	public function to_array(): array {
		return array(
			'code' => $this->get_code(),
			'name' => $this->get_name(),
			'type' => $this->get_type(),
		);
	}
}
